# Makefile.in generated by automake 1.7.2 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 1.349.2.6 $ 
# @configure_input@

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = @INSTALL@
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
target_triplet = @target@
ACLOCAL = @ACLOCAL@
AMDEP_FALSE = @AMDEP_FALSE@
AMDEP_TRUE = @AMDEP_TRUE@
AMTAR = @AMTAR@
ARTSCCONFIG = @ARTSCCONFIG@
AUTOCONF = @AUTOCONF@
AUTODIRS = @AUTODIRS@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CONF_FILES = @CONF_FILES@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DCOPIDL = @DCOPIDL@
DCOPIDL2CPP = @DCOPIDL2CPP@
DCOP_DEPENDENCIES = @DCOP_DEPENDENCIES@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DEVICESDIR = @DEVICESDIR@
DOXYGEN = @DOXYGEN@
DOXYGEN_PROJECT_NAME = @DOXYGEN_PROJECT_NAME@
DOXYGEN_PROJECT_NUMBER = @DOXYGEN_PROJECT_NUMBER@
DPMSINC = @DPMSINC@
DPMSLIB = @DPMSLIB@
ECHO = @ECHO@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FRAMEWORK_COREAUDIO = @FRAMEWORK_COREAUDIO@
GMSGFMT = @GMSGFMT@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JAR = @JAR@
JAVAC = @JAVAC@
JAVAH = @JAVAH@
JVMLIBS = @JVMLIBS@
KCHECKPASS_PAM_SERVICE = @KCHECKPASS_PAM_SERVICE@
KDECONFIG = @KDECONFIG@
KDE_BINDIR = @KDE_BINDIR@
KDE_CONFDIR = @KDE_CONFDIR@
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_HAS_DOXYGEN = @KDE_HAS_DOXYGEN@
KDE_HAVE_DOT = @KDE_HAVE_DOT@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_MT_LDFLAGS = @KDE_MT_LDFLAGS@
KDE_MT_LIBS = @KDE_MT_LIBS@
KDE_PLUGIN = @KDE_PLUGIN@
KDE_RPATH = @KDE_RPATH@
KDE_USE_CLOSURE_FALSE = @KDE_USE_CLOSURE_FALSE@
KDE_USE_CLOSURE_TRUE = @KDE_USE_CLOSURE_TRUE@
KDE_USE_FINAL_FALSE = @KDE_USE_FINAL_FALSE@
KDE_USE_FINAL_TRUE = @KDE_USE_FINAL_TRUE@
KDE_XSL_STYLESHEET = @KDE_XSL_STYLESHEET@
KDM_PAM_SERVICE = @KDM_PAM_SERVICE@
KERBEROS_INCS = @KERBEROS_INCS@
KERBEROS_LIBS = @KERBEROS_LIBS@
KERBEROS_ROOT = @KERBEROS_ROOT@
KRB_RPATH = @KRB_RPATH@
KSCREENSAVER_PAM_SERVICE = @KSCREENSAVER_PAM_SERVICE@
LDAP_INCS = @LDAP_INCS@
LDAP_LIBS = @LDAP_LIBS@
LDAP_RPATH = @LDAP_RPATH@
LDFLAGS = @LDFLAGS@
LIBALIB = @LIBALIB@
LIBBZ2 = @LIBBZ2@
LIBCFG = @LIBCFG@
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBCURSES = @LIBCURSES@
LIBDEVINFO = @LIBDEVINFO@
LIBDL = @LIBDL@
LIBFONTCONFIG_CFLAGS = @LIBFONTCONFIG_CFLAGS@
LIBFONTCONFIG_LIBS = @LIBFONTCONFIG_LIBS@
LIBFONTCONFIG_RPATH = @LIBFONTCONFIG_RPATH@
LIBFREETYPE_CFLAGS = @LIBFREETYPE_CFLAGS@
LIBFREETYPE_LIBS = @LIBFREETYPE_LIBS@
LIBFREETYPE_RPATH = @LIBFREETYPE_RPATH@
LIBGEN = @LIBGEN@
LIBHOSTS = @LIBHOSTS@
LIBJPEG = @LIBJPEG@
LIBKSTAT = @LIBKSTAT@
LIBOBJS = @LIBOBJS@
LIBODM = @LIBODM@
LIBOSSAUDIO = @LIBOSSAUDIO@
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBRESOLV = @LIBRESOLV@
LIBS = @LIBS@
LIBSENSORS = @LIBSENSORS@
LIBSHADOW = @LIBSHADOW@
LIBSM = @LIBSM@
LIBSOCKET = @LIBSOCKET@
LIBSSL = @LIBSSL@
LIBTIFF = @LIBTIFF@
LIBTOOL = @LIBTOOL@
LIBUCB = @LIBUCB@
LIBUTEMPTER = @LIBUTEMPTER@
LIBUTIL = @LIBUTIL@
LIBXDMCP = @LIBXDMCP@
LIBXINERAMA = @LIBXINERAMA@
LIBZ = @LIBZ@
LIB_KAB = @LIB_KAB@
LIB_KABC = @LIB_KABC@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEPRINT = @LIB_KDEPRINT@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_KIO = @LIB_KIO@
LIB_KPARTS = @LIB_KPARTS@
LIB_KSPELL = @LIB_KSPELL@
LIB_KSYCOCA = @LIB_KSYCOCA@
LIB_LIBS = @LIB_LIBS@
LIB_POLL = @LIB_POLL@
LIB_QPE = @LIB_QPE@
LIB_QT = @LIB_QT@
LIB_SMB = @LIB_SMB@
LIB_TRU64_MACH = @LIB_TRU64_MACH@
LIB_X11 = @LIB_X11@
LIB_XEXT = @LIB_XEXT@
LIB_XRENDER = @LIB_XRENDER@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCOPIDL = @MCOPIDL@
MEINPROC = @MEINPROC@
MOC = @MOC@
MOTIF_CFLAGS = @MOTIF_CFLAGS@
MOTIF_LIBS = @MOTIF_LIBS@
MSGFMT = @MSGFMT@
NOOPT_CFLAGS = @NOOPT_CFLAGS@
NOOPT_CXXFLAGS = @NOOPT_CXXFLAGS@
NOREPO = @NOREPO@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PAMLIBS = @PAMLIBS@
PASSWDLIBS = @PASSWDLIBS@
PATH_SEPARATOR = @PATH_SEPARATOR@
QTDOCDIR = @QTDOCDIR@
QTE_NORTTI = @QTE_NORTTI@
QT_INCLUDES = @QT_INCLUDES@
QT_LDFLAGS = @QT_LDFLAGS@
RANLIB = @RANLIB@
REPO = @REPO@
RUN_KAPPFINDER = @RUN_KAPPFINDER@
SETUIDFLAGS = @SETUIDFLAGS@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SMBCLIENT_EXTRA_LIBS = @SMBCLIENT_EXTRA_LIBS@
SSL_INCLUDES = @SSL_INCLUDES@
SSL_LDFLAGS = @SSL_LDFLAGS@
STRIP = @STRIP@
TOPSUBDIRS = @TOPSUBDIRS@
UIC = @UIC@
UIC_TR = @UIC_TR@
UNAME = @UNAME@
USER_INCLUDES = @USER_INCLUDES@
USER_LDFLAGS = @USER_LDFLAGS@
USE_EXCEPTIONS = @USE_EXCEPTIONS@
USE_RTTI = @USE_RTTI@
USE_THREADS = @USE_THREADS@
VERSION = @VERSION@
WOVERLOADED_VIRTUAL = @WOVERLOADED_VIRTUAL@
XDM_CFLAGS = @XDM_CFLAGS@
XGETTEXT = @XGETTEXT@
XMKMF = @XMKMF@
XTESTLIB = @XTESTLIB@
X_CFLAGS = @X_CFLAGS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = @X_INCLUDES@
X_LDFLAGS = @X_LDFLAGS@
X_LIBS = @X_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
X_RPATH = @X_RPATH@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_RANLIB = @ac_ct_RANLIB@
ac_ct_STRIP = @ac_ct_STRIP@
all_includes = @all_includes@
all_libraries = @all_libraries@
am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
am__include = @am__include@
am__quote = @am__quote@
applnk_SUBDIR_included_FALSE = @applnk_SUBDIR_included_FALSE@
applnk_SUBDIR_included_TRUE = @applnk_SUBDIR_included_TRUE@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
datadir = $(kde_appsdir)
doc_SUBDIR_included_FALSE = @doc_SUBDIR_included_FALSE@
doc_SUBDIR_included_TRUE = @doc_SUBDIR_included_TRUE@
drkonqi_SUBDIR_included_FALSE = @drkonqi_SUBDIR_included_FALSE@
drkonqi_SUBDIR_included_TRUE = @drkonqi_SUBDIR_included_TRUE@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
include_BZIP2_FALSE = @include_BZIP2_FALSE@
include_BZIP2_TRUE = @include_BZIP2_TRUE@
include_devicesdir_FALSE = @include_devicesdir_FALSE@
include_devicesdir_TRUE = @include_devicesdir_TRUE@
include_fontinst_tn_FALSE = @include_fontinst_tn_FALSE@
include_fontinst_tn_TRUE = @include_fontinst_tn_TRUE@
include_kcontrol_access_FALSE = @include_kcontrol_access_FALSE@
include_kcontrol_access_TRUE = @include_kcontrol_access_TRUE@
include_kcontrol_kfontinst_FALSE = @include_kcontrol_kfontinst_FALSE@
include_kcontrol_kfontinst_TRUE = @include_kcontrol_kfontinst_TRUE@
include_kcontrol_smartcard_FALSE = @include_kcontrol_smartcard_FALSE@
include_kcontrol_smartcard_TRUE = @include_kcontrol_smartcard_TRUE@
include_kcontrol_usbview_FALSE = @include_kcontrol_usbview_FALSE@
include_kcontrol_usbview_TRUE = @include_kcontrol_usbview_TRUE@
include_kdm_chooser_FALSE = @include_kdm_chooser_FALSE@
include_kdm_chooser_TRUE = @include_kdm_chooser_TRUE@
include_kioslave_ldap_FALSE = @include_kioslave_ldap_FALSE@
include_kioslave_ldap_TRUE = @include_kioslave_ldap_TRUE@
include_kioslave_smb_FALSE = @include_kioslave_smb_FALSE@
include_kioslave_smb_TRUE = @include_kioslave_smb_TRUE@
include_ksysguardd_FALSE = @include_ksysguardd_FALSE@
include_ksysguardd_TRUE = @include_ksysguardd_TRUE@
include_ksysguardd_freebsd_FALSE = @include_ksysguardd_freebsd_FALSE@
include_ksysguardd_freebsd_TRUE = @include_ksysguardd_freebsd_TRUE@
include_ksysguardd_irix_FALSE = @include_ksysguardd_irix_FALSE@
include_ksysguardd_irix_TRUE = @include_ksysguardd_irix_TRUE@
include_ksysguardd_linux_FALSE = @include_ksysguardd_linux_FALSE@
include_ksysguardd_linux_TRUE = @include_ksysguardd_linux_TRUE@
include_ksysguardd_netbsd_FALSE = @include_ksysguardd_netbsd_FALSE@
include_ksysguardd_netbsd_TRUE = @include_ksysguardd_netbsd_TRUE@
include_ksysguardd_solaris_FALSE = @include_ksysguardd_solaris_FALSE@
include_ksysguardd_solaris_TRUE = @include_ksysguardd_solaris_TRUE@
include_ksysguardd_tru64_FALSE = @include_ksysguardd_tru64_FALSE@
include_ksysguardd_tru64_TRUE = @include_ksysguardd_tru64_TRUE@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
jni_includes = @jni_includes@
kappfinder_SUBDIR_included_FALSE = @kappfinder_SUBDIR_included_FALSE@
kappfinder_SUBDIR_included_TRUE = @kappfinder_SUBDIR_included_TRUE@
kate_SUBDIR_included_FALSE = @kate_SUBDIR_included_FALSE@
kate_SUBDIR_included_TRUE = @kate_SUBDIR_included_TRUE@
kcheckpass_SUBDIR_included_FALSE = @kcheckpass_SUBDIR_included_FALSE@
kcheckpass_SUBDIR_included_TRUE = @kcheckpass_SUBDIR_included_TRUE@
kcontrol_SUBDIR_included_FALSE = @kcontrol_SUBDIR_included_FALSE@
kcontrol_SUBDIR_included_TRUE = @kcontrol_SUBDIR_included_TRUE@
kdcop_SUBDIR_included_FALSE = @kdcop_SUBDIR_included_FALSE@
kdcop_SUBDIR_included_TRUE = @kdcop_SUBDIR_included_TRUE@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_libs_htmldir = @kde_libs_htmldir@
kde_libs_prefix = @kde_libs_prefix@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_moduledir = @kde_moduledir@
kde_qtver = @kde_qtver@
kde_servicesdir = @kde_servicesdir@
kde_servicetypesdir = @kde_servicetypesdir@
kde_sounddir = @kde_sounddir@
kde_styledir = @kde_styledir@
kde_templatesdir = @kde_templatesdir@
kde_wallpaperdir = @kde_wallpaperdir@
kde_widgetdir = @kde_widgetdir@
kdebugdialog_SUBDIR_included_FALSE = @kdebugdialog_SUBDIR_included_FALSE@
kdebugdialog_SUBDIR_included_TRUE = @kdebugdialog_SUBDIR_included_TRUE@
kdeprint_SUBDIR_included_FALSE = @kdeprint_SUBDIR_included_FALSE@
kdeprint_SUBDIR_included_TRUE = @kdeprint_SUBDIR_included_TRUE@
kdesktop_SUBDIR_included_FALSE = @kdesktop_SUBDIR_included_FALSE@
kdesktop_SUBDIR_included_TRUE = @kdesktop_SUBDIR_included_TRUE@
kdesu_SUBDIR_included_FALSE = @kdesu_SUBDIR_included_FALSE@
kdesu_SUBDIR_included_TRUE = @kdesu_SUBDIR_included_TRUE@
kdialog_SUBDIR_included_FALSE = @kdialog_SUBDIR_included_FALSE@
kdialog_SUBDIR_included_TRUE = @kdialog_SUBDIR_included_TRUE@
kdm_SUBDIR_included_FALSE = @kdm_SUBDIR_included_FALSE@
kdm_SUBDIR_included_TRUE = @kdm_SUBDIR_included_TRUE@
kfind_SUBDIR_included_FALSE = @kfind_SUBDIR_included_FALSE@
kfind_SUBDIR_included_TRUE = @kfind_SUBDIR_included_TRUE@
khelpcenter_SUBDIR_included_FALSE = @khelpcenter_SUBDIR_included_FALSE@
khelpcenter_SUBDIR_included_TRUE = @khelpcenter_SUBDIR_included_TRUE@
khotkeys_SUBDIR_included_FALSE = @khotkeys_SUBDIR_included_FALSE@
khotkeys_SUBDIR_included_TRUE = @khotkeys_SUBDIR_included_TRUE@
kicker_SUBDIR_included_FALSE = @kicker_SUBDIR_included_FALSE@
kicker_SUBDIR_included_TRUE = @kicker_SUBDIR_included_TRUE@
kioslave_SUBDIR_included_FALSE = @kioslave_SUBDIR_included_FALSE@
kioslave_SUBDIR_included_TRUE = @kioslave_SUBDIR_included_TRUE@
klipper_SUBDIR_included_FALSE = @klipper_SUBDIR_included_FALSE@
klipper_SUBDIR_included_TRUE = @klipper_SUBDIR_included_TRUE@
kmenuedit_SUBDIR_included_FALSE = @kmenuedit_SUBDIR_included_FALSE@
kmenuedit_SUBDIR_included_TRUE = @kmenuedit_SUBDIR_included_TRUE@
konqueror_SUBDIR_included_FALSE = @konqueror_SUBDIR_included_FALSE@
konqueror_SUBDIR_included_TRUE = @konqueror_SUBDIR_included_TRUE@
konsole_SUBDIR_included_FALSE = @konsole_SUBDIR_included_FALSE@
konsole_SUBDIR_included_TRUE = @konsole_SUBDIR_included_TRUE@
kpager_SUBDIR_included_FALSE = @kpager_SUBDIR_included_FALSE@
kpager_SUBDIR_included_TRUE = @kpager_SUBDIR_included_TRUE@
kpersonalizer_SUBDIR_included_FALSE = @kpersonalizer_SUBDIR_included_FALSE@
kpersonalizer_SUBDIR_included_TRUE = @kpersonalizer_SUBDIR_included_TRUE@
kreadconfig_SUBDIR_included_FALSE = @kreadconfig_SUBDIR_included_FALSE@
kreadconfig_SUBDIR_included_TRUE = @kreadconfig_SUBDIR_included_TRUE@
krichtexteditor_SUBDIR_included_FALSE = @krichtexteditor_SUBDIR_included_FALSE@
krichtexteditor_SUBDIR_included_TRUE = @krichtexteditor_SUBDIR_included_TRUE@
kscreensaver_SUBDIR_included_FALSE = @kscreensaver_SUBDIR_included_FALSE@
kscreensaver_SUBDIR_included_TRUE = @kscreensaver_SUBDIR_included_TRUE@
ksmserver_SUBDIR_included_FALSE = @ksmserver_SUBDIR_included_FALSE@
ksmserver_SUBDIR_included_TRUE = @ksmserver_SUBDIR_included_TRUE@
ksplash_SUBDIR_included_FALSE = @ksplash_SUBDIR_included_FALSE@
ksplash_SUBDIR_included_TRUE = @ksplash_SUBDIR_included_TRUE@
kstart_SUBDIR_included_FALSE = @kstart_SUBDIR_included_FALSE@
kstart_SUBDIR_included_TRUE = @kstart_SUBDIR_included_TRUE@
ksysguard_SUBDIR_included_FALSE = @ksysguard_SUBDIR_included_FALSE@
ksysguard_SUBDIR_included_TRUE = @ksysguard_SUBDIR_included_TRUE@
ksystraycmd_SUBDIR_included_FALSE = @ksystraycmd_SUBDIR_included_FALSE@
ksystraycmd_SUBDIR_included_TRUE = @ksystraycmd_SUBDIR_included_TRUE@
ktip_SUBDIR_included_FALSE = @ktip_SUBDIR_included_FALSE@
ktip_SUBDIR_included_TRUE = @ktip_SUBDIR_included_TRUE@
kwin_SUBDIR_included_FALSE = @kwin_SUBDIR_included_FALSE@
kwin_SUBDIR_included_TRUE = @kwin_SUBDIR_included_TRUE@
kxkb_SUBDIR_included_FALSE = @kxkb_SUBDIR_included_FALSE@
kxkb_SUBDIR_included_TRUE = @kxkb_SUBDIR_included_TRUE@
l10n_SUBDIR_included_FALSE = @l10n_SUBDIR_included_FALSE@
l10n_SUBDIR_included_TRUE = @l10n_SUBDIR_included_TRUE@
legacyimport_SUBDIR_included_FALSE = @legacyimport_SUBDIR_included_FALSE@
legacyimport_SUBDIR_included_TRUE = @legacyimport_SUBDIR_included_TRUE@
libdir = @libdir@
libexecdir = @libexecdir@
libkonq_SUBDIR_included_FALSE = @libkonq_SUBDIR_included_FALSE@
libkonq_SUBDIR_included_TRUE = @libkonq_SUBDIR_included_TRUE@
localstatedir = @localstatedir@
mandir = @mandir@
nogroup = @nogroup@
nsplugins_SUBDIR_included_FALSE = @nsplugins_SUBDIR_included_FALSE@
nsplugins_SUBDIR_included_TRUE = @nsplugins_SUBDIR_included_TRUE@
oldincludedir = @oldincludedir@
pics_SUBDIR_included_FALSE = @pics_SUBDIR_included_FALSE@
pics_SUBDIR_included_TRUE = @pics_SUBDIR_included_TRUE@
prefix = @prefix@
program_transform_name = @program_transform_name@
qt_includes = @qt_includes@
qt_libraries = @qt_libraries@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
supports_i8k_FALSE = @supports_i8k_FALSE@
supports_i8k_TRUE = @supports_i8k_TRUE@
sysconfdir = @sysconfdir@
target = @target@
target_alias = @target_alias@
target_cpu = @target_cpu@
target_os = @target_os@
target_vendor = @target_vendor@
x_includes = @x_includes@
x_libraries = @x_libraries@
SUBDIRS = plugins pics

INCLUDES = $(all_includes)
#>- METASOURCES = AUTO

bin_PROGRAMS = khelpcenter

khelpcenter_LDFLAGS = $(all_libraries) $(KDE_RPATH)
khelpcenter_LDADD = libkhelpcenter_common.la
khelpcenter_SOURCES = main.cpp

noinst_LTLIBRARIES = libkhelpcenter_common.la
kde_module_LTLIBRARIES = khelpcenter.la kcm_helpcenter.la

khelpcenter_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module $(KDE_PLUGIN)
khelpcenter_la_LIBADD = libkhelpcenter_common.la
khelpcenter_la_SOURCES = dummy.cpp

libkhelpcenter_common_la_LDFLAGS = $(all_libraries) -no-undefined
libkhelpcenter_common_la_LIBADD = $(LIB_KHTML)
#>- libkhelpcenter_common_la_SOURCES = navigator.cpp \
#>- 	navigatoritem.cpp navigatorappitem.cpp view.cpp \
#>- 	infohierarchymaker.cpp inforeader.cpp infofile.cpp \
#>- 	infonode.cpp searchwidget.cpp klanguagebutton.cpp searchengine.cpp \
#>- 	docmetainfo.cpp docentrytraverser.cpp searchformatter.cpp \
#>- 	glossary.cpp toc.cpp mainwindow.cpp docentry.cpp htmlsearch.cpp \
#>- 	history.cpp application.cpp searchwidget.skel
#>+ 7
libkhelpcenter_common_la_SOURCES=navigator.cpp \
	navigatoritem.cpp navigatorappitem.cpp view.cpp \
	infohierarchymaker.cpp inforeader.cpp infofile.cpp \
	infonode.cpp searchwidget.cpp klanguagebutton.cpp searchengine.cpp \
	docmetainfo.cpp docentrytraverser.cpp searchformatter.cpp \
	glossary.cpp toc.cpp mainwindow.cpp docentry.cpp htmlsearch.cpp \
	history.cpp application.cpp  searchwidget_skel.cpp


kcm_helpcenter_la_LDFLAGS = $(KDE_RPATH) -module -avoid-version \
                            $(all_libraries) -no-undefined

kcm_helpcenter_la_LIBADD = $(LIB_KIO)
kcm_helpcenter_la_SOURCES = kcmhelpcenter.cpp docmetainfo.cpp \
                            docentrytraverser.cpp docentry.cpp htmlsearch.cpp \
                            htmlsearchconfig.cpp


EXTRA_PROGRAMS = testmetainfo

testmetainfo_LDFLAGS = $(all_libraries) $(KDE_RPATH)
testmetainfo_LDADD = $(LIB_KDECORE) docentry.lo docmetainfo.lo \
                     docentrytraverser.lo htmlsearch.lo

testmetainfo_SOURCES = testmetainfo.cpp

service_DATA = khelpcenter.desktop
servicedir = $(kde_servicesdir)

data_DATA = Help.desktop

kcmhelpcenter_DATA = kcmhelpcenter.desktop
kcmhelpcenterdir = $(kde_appsdir)/Settings/System

rc_DATA = khelpcenterui.rc intro.html.in glossary.html.in table-of-contents.xslt \
	glossary.xslt

rcdir = $(kde_datadir)/khelpcenter
subdir = khelpcenter
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(kde_module_LTLIBRARIES) $(noinst_LTLIBRARIES)

kcm_helpcenter_la_DEPENDENCIES =
am_kcm_helpcenter_la_OBJECTS = kcmhelpcenter.lo docmetainfo.lo \
	docentrytraverser.lo docentry.lo htmlsearch.lo \
	htmlsearchconfig.lo
#>- kcm_helpcenter_la_OBJECTS = $(am_kcm_helpcenter_la_OBJECTS)
#>+ 6
kcm_helpcenter_la_final_OBJECTS = kcm_helpcenter_la.all_cpp.lo 
kcm_helpcenter_la_nofinal_OBJECTS = kcmhelpcenter.lo docmetainfo.lo \
	docentrytraverser.lo docentry.lo htmlsearch.lo \
	htmlsearchconfig.lo
@KDE_USE_FINAL_FALSE@kcm_helpcenter_la_OBJECTS = $(kcm_helpcenter_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@kcm_helpcenter_la_OBJECTS = $(kcm_helpcenter_la_final_OBJECTS)
khelpcenter_la_DEPENDENCIES = libkhelpcenter_common.la
am_khelpcenter_la_OBJECTS = dummy.lo
#>- khelpcenter_la_OBJECTS = $(am_khelpcenter_la_OBJECTS)
#>+ 1
khelpcenter_la_OBJECTS = dummy.lo
libkhelpcenter_common_la_DEPENDENCIES =
am_libkhelpcenter_common_la_OBJECTS = navigator.lo navigatoritem.lo \
	navigatorappitem.lo view.lo infohierarchymaker.lo inforeader.lo \
	infofile.lo infonode.lo searchwidget.lo klanguagebutton.lo \
	searchengine.lo docmetainfo.lo docentrytraverser.lo \
	searchformatter.lo glossary.lo toc.lo mainwindow.lo docentry.lo \
	htmlsearch.lo history.lo application.lo
#>- libkhelpcenter_common_la_OBJECTS = \
#>- 	$(am_libkhelpcenter_common_la_OBJECTS)
#>+ 9
libkhelpcenter_common_la_final_OBJECTS = libkhelpcenter_common_la.all_cpp.lo 
libkhelpcenter_common_la_nofinal_OBJECTS = navigator.lo navigatoritem.lo \
	navigatorappitem.lo view.lo infohierarchymaker.lo inforeader.lo \
	infofile.lo infonode.lo searchwidget.lo klanguagebutton.lo \
	searchengine.lo docmetainfo.lo docentrytraverser.lo \
	searchformatter.lo glossary.lo toc.lo mainwindow.lo docentry.lo \
	htmlsearch.lo history.lo application.lo searchwidget_skel.lo
@KDE_USE_FINAL_FALSE@libkhelpcenter_common_la_OBJECTS = $(libkhelpcenter_common_la_nofinal_OBJECTS)
@KDE_USE_FINAL_TRUE@libkhelpcenter_common_la_OBJECTS = $(libkhelpcenter_common_la_final_OBJECTS)
EXTRA_PROGRAMS = testmetainfo$(EXEEXT)
bin_PROGRAMS = khelpcenter$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_khelpcenter_OBJECTS = main.$(OBJEXT)
#>- khelpcenter_OBJECTS = $(am_khelpcenter_OBJECTS)
#>+ 1
khelpcenter_OBJECTS = main.$(OBJEXT)
khelpcenter_DEPENDENCIES = libkhelpcenter_common.la
am_testmetainfo_OBJECTS = testmetainfo.$(OBJEXT)
#>- testmetainfo_OBJECTS = $(am_testmetainfo_OBJECTS)
#>+ 1
testmetainfo_OBJECTS = testmetainfo.$(OBJEXT)
testmetainfo_DEPENDENCIES = docentry.lo docmetainfo.lo \
	docentrytraverser.lo htmlsearch.lo

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles
#>- @AMDEP_TRUE@DEP_FILES = ./$(DEPDIR)/application.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/docentry.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/docentrytraverser.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/docmetainfo.Plo ./$(DEPDIR)/dummy.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/glossary.Plo ./$(DEPDIR)/history.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/htmlsearch.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/htmlsearchconfig.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/infofile.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/infohierarchymaker.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/infonode.Plo ./$(DEPDIR)/inforeader.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/kcmhelpcenter.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/klanguagebutton.Plo ./$(DEPDIR)/main.Po \
#>- @AMDEP_TRUE@	./$(DEPDIR)/mainwindow.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/navigator.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/navigatorappitem.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/navigatoritem.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/searchengine.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/searchformatter.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/searchwidget.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/testmetainfo.Po ./$(DEPDIR)/toc.Plo \
#>- @AMDEP_TRUE@	./$(DEPDIR)/view.Plo
#>+ 43
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@DEP_FILES =  $(DEPDIR)/searchwidget_skel.P  $(DEPDIR)/kcm_helpcenter_la.all_cpp.P $(DEPDIR)/libkhelpcenter_common_la.all_cpp.P  ./$(DEPDIR)/application.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/docentry.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/docentrytraverser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/docmetainfo.Plo ./$(DEPDIR)/dummy.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/glossary.Plo ./$(DEPDIR)/history.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/htmlsearch.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/htmlsearchconfig.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/infofile.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/infohierarchymaker.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/infonode.Plo ./$(DEPDIR)/inforeader.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/kcmhelpcenter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/klanguagebutton.Plo ./$(DEPDIR)/main.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/mainwindow.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/navigator.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/navigatorappitem.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/navigatoritem.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/searchengine.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/searchformatter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/searchwidget.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/testmetainfo.Po ./$(DEPDIR)/toc.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_TRUE@	@AMDEP_TRUE@	./$(DEPDIR)/view.Plo
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@DEP_FILES =  $(DEPDIR)/searchwidget_skel.P  ./$(DEPDIR)/application.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/docentry.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/docentrytraverser.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/docmetainfo.Plo ./$(DEPDIR)/dummy.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/glossary.Plo ./$(DEPDIR)/history.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/htmlsearch.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/htmlsearchconfig.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/infofile.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/infohierarchymaker.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/infonode.Plo ./$(DEPDIR)/inforeader.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/kcmhelpcenter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/klanguagebutton.Plo ./$(DEPDIR)/main.Po \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/mainwindow.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/navigator.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/navigatorappitem.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/navigatoritem.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/searchengine.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/searchformatter.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/searchwidget.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/testmetainfo.Po ./$(DEPDIR)/toc.Plo \
@AMDEP_TRUE@@KDE_USE_FINAL_FALSE@	@AMDEP_TRUE@	./$(DEPDIR)/view.Plo

#>- CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
#>- 	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 2
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
#>- LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
#>- 	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
#>- 	$(AM_CXXFLAGS) $(CXXFLAGS)
#>+ 3
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS)
CXXLD = $(CXX)
#>- CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
#>- 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
#>+ 2
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(KDE_CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(kcm_helpcenter_la_SOURCES) $(khelpcenter_la_SOURCES) \
	$(libkhelpcenter_common_la_SOURCES) $(khelpcenter_SOURCES) \
	$(testmetainfo_SOURCES)
DATA = $(data_DATA) $(kcmhelpcenter_DATA) $(rc_DATA) $(service_DATA)


RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = COPYING Makefile.am Makefile.in
DIST_SUBDIRS = $(SUBDIRS)
SOURCES = $(kcm_helpcenter_la_SOURCES) $(khelpcenter_la_SOURCES) $(libkhelpcenter_common_la_SOURCES) $(khelpcenter_SOURCES) $(testmetainfo_SOURCES)

#>- all: all-recursive
#>+ 1
all: docs-am  all-recursive

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
#>- 	cd $(top_srcdir) && \
#>- 	  $(AUTOMAKE) --foreign  khelpcenter/Makefile
#>+ 3
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  khelpcenter/Makefile
	cd $(top_srcdir) && perl admin/am_edit khelpcenter/Makefile.in
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
kde_moduleLTLIBRARIES_INSTALL = $(INSTALL)
install-kde_moduleLTLIBRARIES: $(kde_module_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kde_moduledir)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(kde_moduleLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(kde_moduledir)/$$f"; \
	    $(LIBTOOL) --mode=install $(kde_moduleLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(kde_moduledir)/$$f; \
	  else :; fi; \
	done

uninstall-kde_moduleLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(kde_moduledir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(kde_moduledir)/$$p; \
	done

clean-kde_moduleLTLIBRARIES:
	-test -z "$(kde_module_LTLIBRARIES)" || rm -f $(kde_module_LTLIBRARIES)
	@list='$(kde_module_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
	@list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
#>- kcm_helpcenter.la: $(kcm_helpcenter_la_OBJECTS) $(kcm_helpcenter_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@kcm_helpcenter.la: kcm_helpcenter.la.closure $(kcm_helpcenter_la_OBJECTS) $(kcm_helpcenter_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@kcm_helpcenter.la: $(kcm_helpcenter_la_OBJECTS) $(kcm_helpcenter_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(kde_moduledir) $(kcm_helpcenter_la_LDFLAGS) $(kcm_helpcenter_la_OBJECTS) $(kcm_helpcenter_la_LIBADD) $(LIBS)
#>- khelpcenter.la: $(khelpcenter_la_OBJECTS) $(khelpcenter_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@khelpcenter.la: khelpcenter.la.closure $(khelpcenter_la_OBJECTS) $(khelpcenter_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@khelpcenter.la: $(khelpcenter_la_OBJECTS) $(khelpcenter_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(kde_moduledir) $(khelpcenter_la_LDFLAGS) $(khelpcenter_la_OBJECTS) $(khelpcenter_la_LIBADD) $(LIBS)
#>- libkhelpcenter_common.la: $(libkhelpcenter_common_la_OBJECTS) $(libkhelpcenter_common_la_DEPENDENCIES) 
#>+ 2
@KDE_USE_CLOSURE_TRUE@libkhelpcenter_common.la: libkhelpcenter_common.la.closure $(libkhelpcenter_common_la_OBJECTS) $(libkhelpcenter_common_la_DEPENDENCIES) 
@KDE_USE_CLOSURE_FALSE@libkhelpcenter_common.la: $(libkhelpcenter_common_la_OBJECTS) $(libkhelpcenter_common_la_DEPENDENCIES) 
	$(CXXLINK)  $(libkhelpcenter_common_la_LDFLAGS) $(libkhelpcenter_common_la_OBJECTS) $(libkhelpcenter_common_la_LIBADD) $(LIBS)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
khelpcenter$(EXEEXT): $(khelpcenter_OBJECTS) $(khelpcenter_DEPENDENCIES) 
	@rm -f khelpcenter$(EXEEXT)
	$(CXXLINK) $(khelpcenter_LDFLAGS) $(khelpcenter_OBJECTS) $(khelpcenter_LDADD) $(LIBS)
testmetainfo$(EXEEXT): $(testmetainfo_OBJECTS) $(testmetainfo_DEPENDENCIES) 
	@rm -f testmetainfo$(EXEEXT)
	$(CXXLINK) $(testmetainfo_LDFLAGS) $(testmetainfo_OBJECTS) $(testmetainfo_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/application.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/docentry.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/docentrytraverser.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/docmetainfo.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dummy.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glossary.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/history.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/htmlsearch.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/htmlsearchconfig.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/infofile.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/infohierarchymaker.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/infonode.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/inforeader.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/kcmhelpcenter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/klanguagebutton.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/main.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mainwindow.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/navigator.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/navigatorappitem.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/navigatoritem.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/searchengine.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/searchformatter.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/searchwidget.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/testmetainfo.Po@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/toc.Plo@am__quote@
@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/view.Plo@am__quote@

distclean-depend:
	-rm -rf ./$(DEPDIR)

.cpp.o:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
@am__fastdepCXX_TRUE@	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
@am__fastdepCXX_TRUE@	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
@am__fastdepCXX_TRUE@	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
@am__fastdepCXX_TRUE@	then mv "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
@am__fastdepCXX_TRUE@	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
@am__fastdepCXX_TRUE@	fi
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' @AMDEPBACKSLASH@
@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
@am__fastdepCXX_FALSE@	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
dataDATA_INSTALL = $(INSTALL_DATA)
install-dataDATA: $(data_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@list='$(data_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(dataDATA_INSTALL) $$d$$p $(DESTDIR)$(datadir)/$$f"; \
	  $(dataDATA_INSTALL) $$d$$p $(DESTDIR)$(datadir)/$$f; \
	done

uninstall-dataDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(data_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(datadir)/$$f"; \
	  rm -f $(DESTDIR)$(datadir)/$$f; \
	done
kcmhelpcenterDATA_INSTALL = $(INSTALL_DATA)
install-kcmhelpcenterDATA: $(kcmhelpcenter_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(kcmhelpcenterdir)
	@list='$(kcmhelpcenter_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(kcmhelpcenterDATA_INSTALL) $$d$$p $(DESTDIR)$(kcmhelpcenterdir)/$$f"; \
	  $(kcmhelpcenterDATA_INSTALL) $$d$$p $(DESTDIR)$(kcmhelpcenterdir)/$$f; \
	done

uninstall-kcmhelpcenterDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(kcmhelpcenter_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(kcmhelpcenterdir)/$$f"; \
	  rm -f $(DESTDIR)$(kcmhelpcenterdir)/$$f; \
	done
rcDATA_INSTALL = $(INSTALL_DATA)
install-rcDATA: $(rc_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(rcdir)
	@list='$(rc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(rcDATA_INSTALL) $$d$$p $(DESTDIR)$(rcdir)/$$f"; \
	  $(rcDATA_INSTALL) $$d$$p $(DESTDIR)$(rcdir)/$$f; \
	done

uninstall-rcDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(rc_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(rcdir)/$$f"; \
	  rm -f $(DESTDIR)$(rcdir)/$$f; \
	done
serviceDATA_INSTALL = $(INSTALL_DATA)
install-serviceDATA: $(service_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(servicedir)
	@list='$(service_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(serviceDATA_INSTALL) $$d$$p $(DESTDIR)$(servicedir)/$$f"; \
	  $(serviceDATA_INSTALL) $$d$$p $(DESTDIR)$(servicedir)/$$f; \
	done

uninstall-serviceDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(service_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(servicedir)/$$f"; \
	  rm -f $(DESTDIR)$(servicedir)/$$f; \
	done

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
#>- DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
#>+ 4
KDE_DIST=glossary.xslt application.h infonode.h kcmhelpcenter.desktop navigator.h docmetainfo.h DESIGN infofile.h docentrytraverser.h inforeader.h glossary.html.in htmlsearchconfig.h Help.desktop htmlsearch.h navigatoritem.h view.h scopeitem.h khelpcenter.desktop toc.h searchformatter.h searchwidget.h klanguagebutton.h mainwindow.h intro.html.in glossary.h khelpcenterui.rc kcmhelpcenter.h infoconsts.h docentry.h README.htdig infohierarchymaker.h searchengine.h navigatorappitem.h history.h version.h table-of-contents.xslt 

DISTFILES= $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)


top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(DATA)
installdirs: installdirs-recursive
installdirs-am:
	$(mkinstalldirs) $(DESTDIR)$(kde_moduledir) $(DESTDIR)$(bindir) $(DESTDIR)$(datadir) $(DESTDIR)$(kcmhelpcenterdir) $(DESTDIR)$(rcdir) $(DESTDIR)$(servicedir)

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
#>- clean: clean-recursive
#>+ 1
clean: kde-rpo-clean  clean-recursive

#>- clean-am: clean-binPROGRAMS clean-generic clean-kde_moduleLTLIBRARIES \
#>- 	clean-libtool clean-noinstLTLIBRARIES mostlyclean-am
#>+ 2
clean-am: clean-metasources clean-idl clean-closures clean-final  clean-binPROGRAMS clean-generic clean-kde_moduleLTLIBRARIES \
	clean-libtool clean-noinstLTLIBRARIES mostlyclean-am

distclean: distclean-recursive

distclean-am: clean-am distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

#>- install-data-am: install-dataDATA install-kcmhelpcenterDATA \
#>- 	install-kde_moduleLTLIBRARIES install-rcDATA \
#>- 	install-serviceDATA
#>+ 3
install-data-am:   install-dataDATA install-kcmhelpcenterDATA \
 install-rcDATA \
	install-serviceDATA

#>- install-exec-am: install-binPROGRAMS
#>+ 1
install-exec-am:  install-binPROGRAMS install-kde_moduleLTLIBRARIES

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-binPROGRAMS uninstall-dataDATA uninstall-info-am \
	uninstall-kcmhelpcenterDATA uninstall-kde_moduleLTLIBRARIES \
	uninstall-rcDATA uninstall-serviceDATA

uninstall-info: uninstall-info-recursive

.PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am check check-am clean \
	clean-binPROGRAMS clean-generic clean-kde_moduleLTLIBRARIES \
	clean-libtool clean-noinstLTLIBRARIES clean-recursive ctags \
	ctags-recursive distclean distclean-compile distclean-depend \
	distclean-generic distclean-libtool distclean-recursive \
	distclean-tags distdir dvi dvi-am dvi-recursive info info-am \
	info-recursive install install-am install-binPROGRAMS \
	install-data install-data-am install-data-recursive \
	install-dataDATA install-exec install-exec-am \
	install-exec-recursive install-info install-info-am \
	install-info-recursive install-kcmhelpcenterDATA \
	install-kde_moduleLTLIBRARIES install-man install-rcDATA \
	install-recursive install-serviceDATA install-strip \
	installcheck installcheck-am installdirs installdirs-am \
	installdirs-recursive maintainer-clean maintainer-clean-generic \
	maintainer-clean-recursive mostlyclean mostlyclean-compile \
	mostlyclean-generic mostlyclean-libtool mostlyclean-recursive \
	pdf pdf-am pdf-recursive ps ps-am ps-recursive tags \
	tags-recursive uninstall uninstall-am uninstall-binPROGRAMS \
	uninstall-dataDATA uninstall-info-am uninstall-info-recursive \
	uninstall-kcmhelpcenterDATA uninstall-kde_moduleLTLIBRARIES \
	uninstall-rcDATA uninstall-recursive uninstall-serviceDATA


dummy.cpp:
	echo > $@

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/khelpcenter.pot
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

#>+ 8
kcm_helpcenter.la.closure: $(kcm_helpcenter_la_OBJECTS) $(kcm_helpcenter_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > kcm_helpcenter_la_closure.cpp
	@$(LTCXXCOMPILE) -c kcm_helpcenter_la_closure.cpp
	$(CXXLINK) kcm_helpcenter_la_closure.lo $(kcm_helpcenter_la_LDFLAGS) $(kcm_helpcenter_la_OBJECTS) $(kcm_helpcenter_la_LIBADD) $(LIBS)
	@rm -f kcm_helpcenter_la_closure.* kcm_helpcenter.la.closure
	@echo "timestamp" > kcm_helpcenter.la.closure


#>+ 3
history.moc: $(srcdir)/history.h
	$(MOC) $(srcdir)/history.h -o history.moc

#>+ 1
mocs: history.moc
#>+ 3
navigator.moc: $(srcdir)/navigator.h
	$(MOC) $(srcdir)/navigator.h -o navigator.moc

#>+ 1
mocs: navigator.moc
#>+ 3
glossary.moc: $(srcdir)/glossary.h
	$(MOC) $(srcdir)/glossary.h -o glossary.moc

#>+ 1
mocs: glossary.moc
#>+ 3
infohierarchymaker.moc: $(srcdir)/infohierarchymaker.h
	$(MOC) $(srcdir)/infohierarchymaker.h -o infohierarchymaker.moc

#>+ 1
mocs: infohierarchymaker.moc
#>+ 3
klanguagebutton.moc: $(srcdir)/klanguagebutton.h
	$(MOC) $(srcdir)/klanguagebutton.h -o klanguagebutton.moc

#>+ 1
mocs: klanguagebutton.moc
#>+ 3
htmlsearchconfig.moc: $(srcdir)/htmlsearchconfig.h
	$(MOC) $(srcdir)/htmlsearchconfig.h -o htmlsearchconfig.moc

#>+ 1
mocs: htmlsearchconfig.moc
#>+ 3
mainwindow.moc: $(srcdir)/mainwindow.h
	$(MOC) $(srcdir)/mainwindow.h -o mainwindow.moc

#>+ 1
mocs: mainwindow.moc
#>+ 3
kcmhelpcenter.moc: $(srcdir)/kcmhelpcenter.h
	$(MOC) $(srcdir)/kcmhelpcenter.h -o kcmhelpcenter.moc

#>+ 1
mocs: kcmhelpcenter.moc
#>+ 3
view.moc: $(srcdir)/view.h
	$(MOC) $(srcdir)/view.h -o view.moc

#>+ 1
mocs: view.moc
#>+ 3
htmlsearch.moc: $(srcdir)/htmlsearch.h
	$(MOC) $(srcdir)/htmlsearch.h -o htmlsearch.moc

#>+ 1
mocs: htmlsearch.moc
#>+ 3
toc.moc: $(srcdir)/toc.h
	$(MOC) $(srcdir)/toc.h -o toc.moc

#>+ 1
mocs: toc.moc
#>+ 3
searchwidget.moc: $(srcdir)/searchwidget.h
	$(MOC) $(srcdir)/searchwidget.h -o searchwidget.moc

#>+ 1
mocs: searchwidget.moc
#>+ 3
searchengine.moc: $(srcdir)/searchengine.h
	$(MOC) $(srcdir)/searchengine.h -o searchengine.moc

#>+ 1
mocs: searchengine.moc
#>+ 8
khelpcenter.la.closure: $(khelpcenter_la_OBJECTS) $(khelpcenter_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > khelpcenter_la_closure.cpp
	@$(LTCXXCOMPILE) -c khelpcenter_la_closure.cpp
	$(CXXLINK) khelpcenter_la_closure.lo $(khelpcenter_la_LDFLAGS) $(khelpcenter_la_OBJECTS) $(khelpcenter_la_LIBADD) $(LIBS)
	@rm -f khelpcenter_la_closure.* khelpcenter.la.closure
	@echo "timestamp" > khelpcenter.la.closure


#>+ 5
searchwidget.kidl: $(srcdir)/searchwidget.h $(DCOP_DEPENDENCIES)
	$(DCOPIDL) $(srcdir)/searchwidget.h > searchwidget.kidl || ( rm -f searchwidget.kidl ; false )
searchwidget_skel.cpp: searchwidget.kidl
	$(DCOPIDL2CPP) --c++-suffix cpp --no-signals --no-stub searchwidget.kidl

#>+ 8
libkhelpcenter_common.la.closure: $(libkhelpcenter_common_la_OBJECTS) $(libkhelpcenter_common_la_DEPENDENCIES)
	@echo "int main() {return 0;}" > libkhelpcenter_common_la_closure.cpp
	@$(LTCXXCOMPILE) -c libkhelpcenter_common_la_closure.cpp
	$(CXXLINK) libkhelpcenter_common_la_closure.lo $(libkhelpcenter_common_la_LDFLAGS) $(libkhelpcenter_common_la_OBJECTS) $(libkhelpcenter_common_la_LIBADD) $(LIBS)
	@rm -f libkhelpcenter_common_la_closure.* libkhelpcenter_common.la.closure
	@echo "timestamp" > libkhelpcenter_common.la.closure


#>+ 3
clean-metasources:
	-rm -f  history.moc navigator.moc glossary.moc infohierarchymaker.moc klanguagebutton.moc htmlsearchconfig.moc mainwindow.moc kcmhelpcenter.moc view.moc htmlsearch.moc toc.moc searchwidget.moc searchengine.moc

#>+ 4
clean-idl:
	-rm -f \
	searchwidget_skel.cpp searchwidget_skel.h searchwidget.kidl 

#>+ 3
clean-closures:
	-rm -f  kcm_helpcenter.la.closure khelpcenter.la.closure libkhelpcenter_common.la.closure

#>+ 2
docs-am:

#>+ 6
force-reedit:
		cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  khelpcenter/Makefile
	cd $(top_srcdir) && perl admin/am_edit khelpcenter/Makefile.in


#>+ 11
kcm_helpcenter_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/kcmhelpcenter.cpp $(srcdir)/docmetainfo.cpp $(srcdir)/docentrytraverser.cpp $(srcdir)/docentry.cpp $(srcdir)/htmlsearch.cpp $(srcdir)/htmlsearchconfig.cpp  htmlsearchconfig.moc kcmhelpcenter.moc htmlsearch.moc
	@echo 'creating kcm_helpcenter_la.all_cpp.cpp ...'; \
	rm -f kcm_helpcenter_la.all_cpp.files kcm_helpcenter_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> kcm_helpcenter_la.all_cpp.final; \
	for file in kcmhelpcenter.cpp docmetainfo.cpp docentrytraverser.cpp docentry.cpp htmlsearch.cpp htmlsearchconfig.cpp ; do \
	  echo "#include \"$$file\"" >> kcm_helpcenter_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> kcm_helpcenter_la.all_cpp.final; \
	done; \
	cat kcm_helpcenter_la.all_cpp.final kcm_helpcenter_la.all_cpp.files > kcm_helpcenter_la.all_cpp.cpp; \
	rm -f kcm_helpcenter_la.all_cpp.final kcm_helpcenter_la.all_cpp.files

#>+ 11
libkhelpcenter_common_la.all_cpp.cpp: $(srcdir)/Makefile.in $(srcdir)/navigator.cpp $(srcdir)/navigatoritem.cpp $(srcdir)/navigatorappitem.cpp $(srcdir)/view.cpp $(srcdir)/infohierarchymaker.cpp $(srcdir)/inforeader.cpp $(srcdir)/infofile.cpp $(srcdir)/infonode.cpp $(srcdir)/searchwidget.cpp $(srcdir)/klanguagebutton.cpp $(srcdir)/searchengine.cpp $(srcdir)/docmetainfo.cpp $(srcdir)/docentrytraverser.cpp $(srcdir)/searchformatter.cpp $(srcdir)/glossary.cpp $(srcdir)/toc.cpp $(srcdir)/mainwindow.cpp $(srcdir)/docentry.cpp $(srcdir)/htmlsearch.cpp $(srcdir)/history.cpp $(srcdir)/application.cpp searchwidget_skel.cpp  navigator.moc history.moc glossary.moc klanguagebutton.moc infohierarchymaker.moc mainwindow.moc htmlsearch.moc view.moc toc.moc searchwidget.moc searchengine.moc
	@echo 'creating libkhelpcenter_common_la.all_cpp.cpp ...'; \
	rm -f libkhelpcenter_common_la.all_cpp.files libkhelpcenter_common_la.all_cpp.final; \
	echo "#define KDE_USE_FINAL 1" >> libkhelpcenter_common_la.all_cpp.final; \
	for file in navigator.cpp navigatoritem.cpp navigatorappitem.cpp view.cpp infohierarchymaker.cpp inforeader.cpp infofile.cpp infonode.cpp searchwidget.cpp klanguagebutton.cpp searchengine.cpp docmetainfo.cpp docentrytraverser.cpp searchformatter.cpp glossary.cpp toc.cpp mainwindow.cpp docentry.cpp htmlsearch.cpp history.cpp application.cpp searchwidget_skel.cpp ; do \
	  echo "#include \"$$file\"" >> libkhelpcenter_common_la.all_cpp.files; \
	  test ! -f $(srcdir)/$$file || egrep '^#pragma +implementation' $(srcdir)/$$file >> libkhelpcenter_common_la.all_cpp.final; \
	done; \
	cat libkhelpcenter_common_la.all_cpp.final libkhelpcenter_common_la.all_cpp.files > libkhelpcenter_common_la.all_cpp.cpp; \
	rm -f libkhelpcenter_common_la.all_cpp.final libkhelpcenter_common_la.all_cpp.files

#>+ 3
clean-final:
	-rm -f kcm_helpcenter_la.all_cpp.cpp libkhelpcenter_common_la.all_cpp.cpp

#>+ 2
final:
	$(MAKE) kcm_helpcenter_la_OBJECTS="$(kcm_helpcenter_la_final_OBJECTS)" libkhelpcenter_common_la_OBJECTS="$(libkhelpcenter_common_la_final_OBJECTS)" all-am
#>+ 2
final-install:
	$(MAKE) kcm_helpcenter_la_OBJECTS="$(kcm_helpcenter_la_final_OBJECTS)" libkhelpcenter_common_la_OBJECTS="$(libkhelpcenter_common_la_final_OBJECTS)" install-am
#>+ 2
no-final:
	$(MAKE) kcm_helpcenter_la_OBJECTS="$(kcm_helpcenter_la_nofinal_OBJECTS)" libkhelpcenter_common_la_OBJECTS="$(libkhelpcenter_common_la_nofinal_OBJECTS)" all-am
#>+ 2
no-final-install:
	$(MAKE) kcm_helpcenter_la_OBJECTS="$(kcm_helpcenter_la_nofinal_OBJECTS)" libkhelpcenter_common_la_OBJECTS="$(libkhelpcenter_common_la_nofinal_OBJECTS)" install-am
#>+ 3
cvs-clean:
	$(MAKE) admindir=$(top_srcdir)/admin -f $(top_srcdir)/admin/Makefile.common cvs-clean

#>+ 3
kde-rpo-clean:
	-rm -f *.rpo

#>+ 27
klanguagebutton.lo: klanguagebutton.moc 
mainwindow.lo: mainwindow.moc 
view.o: view.moc 
klanguagebutton.o: klanguagebutton.moc 
navigator.o: navigator.moc 
searchwidget.o: searchwidget.moc 
toc.lo: toc.moc 
toc.o: toc.moc 
htmlsearch.o: htmlsearch.moc 
kcmhelpcenter.o: kcmhelpcenter.moc 
searchengine.o: searchengine.moc 
history.o: history.moc 
navigator.lo: navigator.moc 
searchwidget.lo: searchwidget.moc 
infohierarchymaker.lo: infohierarchymaker.moc 
view.lo: view.moc 
glossary.o: glossary.moc 
glossary.lo: glossary.moc 
searchengine.lo: searchengine.moc 
history.lo: history.moc 
infohierarchymaker.o: infohierarchymaker.moc 
htmlsearchconfig.lo: htmlsearchconfig.moc 
kcmhelpcenter.lo: kcmhelpcenter.moc 
htmlsearchconfig.o: htmlsearchconfig.moc 
mainwindow.o: mainwindow.moc 
htmlsearch.lo: htmlsearch.moc 
